From 927704168f8380ccd364bcde9ffc2b908df6cc15 Mon Sep 17 00:00:00 2001
From: Zhao Zhili <wantlamy@gmail.com>
Date: Tue, 18 Jul 2017 14:42:32 +0800
Subject: [PATCH 2/2] demux: adaptive: remove redundant check of blank line

1. "\r\n" is already removed by readLine()
2. check "\r\n" but don't check "\n" is inconsistent
---
 modules/demux/adaptive/http/HTTPConnection.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/modules/demux/adaptive/http/HTTPConnection.cpp b/modules/demux/adaptive/http/HTTPConnection.cpp
index 0ebbd18..ab0fbf5 100644
--- a/modules/demux/adaptive/http/HTTPConnection.cpp
+++ b/modules/demux/adaptive/http/HTTPConnection.cpp
@@ -238,7 +238,7 @@ int HTTPConnection::parseReply()
 
     line = readLine();
 
-    while(!line.empty() && line.compare("\r\n"))
+    while(!line.empty())
     {
         size_t split = line.find_first_of(':');
         if(split != std::string::npos)
-- 
2.7.4

